Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class StorageInRowsFromPDACollectionPopup
    Inherits BaseObject

    Private _StoragePDACollectionHeader As StoragePDACollectionHeader

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property StoragePDACollectionHeader As StoragePDACollectionHeader
        Get
            Return _StoragePDACollectionHeader
        End Get
        Set(value As StoragePDACollectionHeader)
            SetPropertyValue("StoragePDACollectionHeader", _StoragePDACollectionHeader, value)
        End Set
    End Property
    '____________________ReadOnly______________________________________
    <VisibleInListView(False)> _
    <VisibleInLookupListView(False)> _
    Public ReadOnly Property StoragePDACollectionRows As XPCollection(Of StoragePDACollectionRows)
        Get
            Return New XPCollection(Of StoragePDACollectionRows)(Session, CriteriaOperator.Parse("StoragePDACollectionHeader.Oid=?", Me.StoragePDACollectionHeader.Oid))
        End Get
    End Property
End Class
